> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/rotationtype.md).

# RotationType

## Overview

RotationType는 객체에 회전이 적용되는 방식을 정의하는 Enum입니다. 이동이나 카메라와 같은 특정 참조를 기준으로 객체의 방향을 결정하는 데 사용됩니다.

UserGameSettings의 RotationType 속성에서 사용되며, 캐릭터나 객체 이동 시스템에서 직관적인 컨트롤을 제공합니다.

## Items

| Name             | Value | Description               |
| ---------------- | ----- | ------------------------- |
| MovementRelative | 0     | 회전이 캐릭터의 이동 방향에 맞춰 정렬됩니다. |
| CameraRelative   | 1     | 회전이 현재 카메라의 방향을 따릅니다.     |
| None             | 2     | 회전 타입이 지정되지 않은 상태입니다.     |

## See also

{% content-ref url="/pages/AyTJlA2vAmX5wgfCuIZQ" %}
[UserGameSettings](/korean/development/api-reference/classes/usergamesettings.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/rotationtype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
